from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XTreeDataModelListener(XEventListener, Protocol):
    def treeNodesChanged(self, Event: TreeDataModelEvent) -> None: ...
    def treeNodesInserted(self, Event: TreeDataModelEvent) -> None: ...
    def treeNodesRemoved(self, Event: TreeDataModelEvent) -> None: ...
    def treeStructureChanged(self, Event: TreeDataModelEvent) -> None: ...
